Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 550104 - Review Request: magento - Magento is an ecommerce web application.
Summary: Review Request: magento - Magento is an ecommerce web application.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-12-23 15:38 UTC by Frederic Hornain
Modified: 2012-10-26 05:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:27:45 UTC


Attachments (Terms of Use)

Description Frederic Hornain 2009-12-23 15:38:28 UTC
Spec URL: http://fhornain.fedorapeople.org/pkgs/magento/magento.spec
SRPM URL: http://fhornain.fedorapeople.org/pkgs/magento/magento-1.3.2.4-1.fc11.src.rpm
Description: Magento is an ecommerce web application.

Since it is a web application, this electronic commerce browser works on many platforms, making your store application easily manageable from any location.

Magento is the perfect ecommerce browser for the sell professional
and novice alike.

Comment 1 Alagunambi Welkin 2009-12-27 12:14:26 UTC
Hi,

Just a quick review suggestion,

In magento.spec line no. 28 remove unwanted tabs



Alagunambi Welkin

Comment 2 Frederic Hornain 2009-12-29 13:21:26 UTC
I will do the modifications next week and will be available  at least the 8th of January 2010.

Comment 3 Frederic Hornain 2010-01-04 07:53:15 UTC
Dear *,

Suggestion made by Alagunambi Welkin have been achieved.
You can now download the new releases at the following URL : http://fhornain.fedorapeople.org/

The files are :   
- magento-1.3.2.4-2.fc11.noarch.rpm  
- magento-1.3.2.4-2.fc11.src.rpm
- magento-1.3.2.4-2.spec

BR
Frederic ;)

Comment 4 Christoph Wickert 2010-01-09 21:26:10 UTC
Some comments on your spec:

Words in summary should start with capital letters: "Ecommmerce Platform"

%description should have linebreaks at 80 chararkters, it fits on an 80x25 terminal.

I don't like the word "perfect" in the description, it sounds like advertising.

Your Requires: line is even longer than your description, this makes the spec hard to read. Please split this into several lines.

There are some redundant Requires:, e.g. you don't need mysql-libs when you already have mysql. Please check the list for other redundancies.

%setup -q -n %{name}-%{version} is the same as a simple %setup -q

Fixing permissions and removing the .cvsignore files should be done in %prep instead of %install.

Please preserve the timestamps of the original files by adding -p to cp and install. See https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

Instead of using cp I'd perfer install because you can set the correct permissions, so you wont need the chmod command after install.

BTW: The chmod command is very long, please split this into several lines too

For magento.conf I'd prefer a a separate Source1 instead of creating it on the fly in the spec. But this is up to you.

Overall the legibility of the spec could be better if it was properly formatted. IMHO all Fedora specs should start from the template you get with rpmdev-newspec.

Last but not least please use rpmlint to check your spec and packages. It would have warned you about some issues I pointed out here.

Comment 5 Frederic Hornain 2010-01-11 20:09:25 UTC
Dear Christoph,

I am going to do the modification as soon as possible.

Best Regards
Frederic ;)

Comment 6 Jason Tibbitts 2010-11-14 18:46:30 UTC
Looks like those modifications never happened.

Comment 7 Frederic Hornain 2010-11-15 10:02:05 UTC
I am going to see if I can fix that asap.
My apologies for the delay.

BR
Frederic ;)


Note You need to log in before you can comment on or make changes to this bug.